:root {
  --color-dark-gray: rgba(60, 60, 60, 0.8);
  --color-light-gray: #4C5775;
  --color-white: #ffffff;
  --color-black: #282c34;
  --color-blue: #255CF5;
  --color-green: #B1F554;
  --color-red: #F54D25;
  --color-brown: #A05D4D;
}

body {
  overflow-x: hidden;
  width: 100vw;
}

.App {
  text-align: center;
  color: var(--color-dark-gray);
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: var(--color-black);
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: var(--color-white);
}

.App-link {
  color: var(--color-blue);
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

#callendar-wrapper {
  display: flex;
  justify-content: right;
  position: fixed;
  z-index: 1000;
  transition: all 0.5s ease-in-out;
  right: -58px;
}

#callendar-wrapper:hover {
  transition: all 0.5s ease-in-out;
  right: 0px;
}

.months-list {
  list-style-type: none;
  cursor: pointer;
}

.months-list > * {
  padding: 10px;
}

.post-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 80%;
  margin: 10px;
}

.post {
  color: var(--color-black);
  background: var(--color-light-gray);
}

.post .post-content {
  color: var(--color-dark-gray);
  background: var(--color-white);
}

.post-content > p {
  text-align: left;
}

.post-title {
  background: var(--color-black);
  color: var(--color-white);
}

.selected-month {
  color: var(--color-white);
  background-color: var(--color-black);
}

.add-comment-wrapper {
  display: flex;
  flex-direction: column;
}

.comments-list {
  display: flex;
  justify-content: left;
  flex-direction: column;
}

.comment {
  position: relative;
  left: 20px;
  display: flex;
  flex-direction: column;
}

.comment button {
  display: flex;
  justify-content: right;
}

.comment-content {
  width: 100%;
}

.positive-mark {
  color: var(--color-green);
}

.negative-mark {
  color: var(--color-red);
}

.marks-number {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.marks-number > * {
  margin: 5px;
}
